com.intellectualcrafters.plot.generator

## Class WorldGenerator

- java.lang.Object
- - org.bukkit.generator.ChunkGenerator
  - - com.intellectualcrafters.plot.object.PlotGenerator
    - - com.intellectualcrafters.plot.generator.WorldGenerator

-     public class WorldGenerator
      extends PlotGenerator

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.bukkit.generator.ChunkGenerator

      `org.bukkit.generator.ChunkGenerator.BiomeGrid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldGenerator(java.lang.String world)` Initialize variables, and create plotworld object used in calculations

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canSpawn(org.bukkit.World world, int x, int z)` Allow spawning everywhere
    `short[][]` | `generateExtBlockSections(org.bukkit.World world, java.util.Random random, int cx, int cz, org.bukkit.generator.ChunkGenerator.BiomeGrid biomes)` This part is a fucking mess. - Refer to a proper tutorial if you would like to learn how to make a world generator
    `java.util.List<org.bukkit.generator.BlockPopulator>` | `getDefaultPopulators(org.bukkit.World world)` Return the block populator
    `org.bukkit.Location` | `getFixedSpawnLocation(org.bukkit.World world, java.util.Random random)` Return the default spawn location for this world
    `PlotWorld` | `getNewPlotWorld(java.lang.String world)` Get a new plotworld class For square plots you can use the DefaultPlotWorld class which comes with PlotSquared
    `PlotManager` | `getPlotManager()` Return the plot manager for this type of generator, or create one For square plots you may as well use the default plot manager which comes with PlotSquared
    `long` | `nextLong()`
    `int` | `random(int n)`
    `void` | `setCuboidRegion(int x1, int x2, int y1, int y2, int z1, int z2, PlotBlock block)` Cuboid based plot generation is quick, as it requires no calculations inside the loop - You don't have to use this this method, but you may find it useful.
    `long` | `xorShift64(long a)`

    - ### Methods inherited from class org.bukkit.generator.ChunkGenerator

      `generate, generateBlockSections`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldGenerator

          public WorldGenerator(java.lang.String world)

      Initialize variables, and create plotworld object used in calculations

  - ### Method Detail

    - #### getPlotManager

          public PlotManager getPlotManager()

      Return the plot manager for this type of generator, or create one For square plots you may as well use the default plot manager which comes with PlotSquared
      Specified by:
        `getPlotManager` in class `PlotGenerator`

    - #### canSpawn

          public boolean canSpawn(org.bukkit.World world,
                         int x,
                         int z)

      Allow spawning everywhere
      Overrides:
        `canSpawn` in class `org.bukkit.generator.ChunkGenerator`

    - #### getNewPlotWorld

          public PlotWorld getNewPlotWorld(java.lang.String world)

      Get a new plotworld class For square plots you can use the DefaultPlotWorld class which comes with PlotSquared
      Specified by:
        `getNewPlotWorld` in class `PlotGenerator`

    - #### nextLong

          public final long nextLong()

    - #### xorShift64

          public final long xorShift64(long a)

    - #### random

          public final int random(int n)

    - #### setCuboidRegion

          public void setCuboidRegion(int x1,
                             int x2,
                             int y1,
                             int y2,
                             int z1,
                             int z2,
                             PlotBlock block)

      Cuboid based plot generation is quick, as it requires no calculations inside the loop - You don't have to use this this method, but you may find it useful.

    - #### getDefaultPopulators

          public java.util.List<org.bukkit.generator.BlockPopulator> getDefaultPopulators(org.bukkit.World world)

      Return the block populator
      Overrides:
        `getDefaultPopulators` in class `org.bukkit.generator.ChunkGenerator`

    - #### getFixedSpawnLocation

          public org.bukkit.Location getFixedSpawnLocation(org.bukkit.World world,
                                                  java.util.Random random)

      Return the default spawn location for this world
      Overrides:
        `getFixedSpawnLocation` in class `org.bukkit.generator.ChunkGenerator`

    - #### generateExtBlockSections

          public short[][] generateExtBlockSections(org.bukkit.World world,
                                           java.util.Random random,
                                           int cx,
                                           int cz,
                                           org.bukkit.generator.ChunkGenerator.BiomeGrid biomes)

      This part is a fucking mess. - Refer to a proper tutorial if you would like to learn how to make a world generator
      Overrides:
        `generateExtBlockSections` in class `org.bukkit.generator.ChunkGenerator`